Перейти к содержанию

Рекомендуемые сообщения

После установки vqmod нужно удалять vqmod/install?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А зачем вообще вы установили его на opencart 2 !!!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для одного единственного модуля, которому требуется vqmod. Как мне сказали, проблем не будет.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
5 минут назад, u2017 сказал:

Для одного единственного модуля, которому требуется vqmod. Как мне сказали, проблем не будет.

Кто такую чушь вам сказал?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Разработчик модуля. Говорит что изменение будет внесено только в админке.

После установки нужно удалять vqmod/install?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, u2017 сказал:

Разработчик модуля. Говорит что изменение будет внесено только в админке.

После установки нужно удалять vqmod/install?

Какого модуля?

Vqmod не совместимое дополнение с opencart 2

А автору напишите чтобы он не ленился и переписал под стандарт opencart 2 - ocmod

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Странно всё это...

И у меня на двойке вкумод стоит. Тоже для какого-то модуля.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
11 минут назад, klekovkinandrey сказал:

и вообще с чего вы взяли, что тс имеет ввиду вторую ветку карта?

Ну как бы тема создана в разделе Opencart 2.x: Общие вопросы

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, klekovkinandrey сказал:

а есть раздел для 1.5?  я что то не нашел

Да, называется Поддержка и ответы на вопросы, когда-то не было версии 2.х, и в обозначении версий не было необходимости. Вы же не будете переименовывать фильм "Назад в будущее" в "Назад в будущее 1", после того, как сняли вторую часть?

Кстати, там есть раздел vqmod, со ссылкой прямо на главной.

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Ваша демагогия скрыта

По поводу Vqmod-а:

1) Для второй ветки он не нужен и если разработчик говорит что без него не как советую смотреть на другой модуль

2) На практике бывают ошибки что Vqmod подгружает раньше файлы чем модификатор и магазин умирает 

 

И придерживайтесь правил общения на форуме!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 часа назад, u2017 сказал:

После установки нужно удалять vqmod/install?

можно оставить - при уже установленном vqmod в случае попытки переустановки просто выдаст сообщение VQMOD ALREADY INSTALLED

 

3 часа назад, klekovkinandrey сказал:

вполне совместимое
имеется сайт, работает модуль megafilter на vqmod
не пугайте людей

с его установкой (как и с установкой seopro) не все пользователи справляются

плюс первые версии VQMOD для 2х некорректно работали и приводили к конфликтам с OCMOD

 

поэтому порой проще сразу напугать, чем потом объяснять и разгребать - лишняя головная боль никому не нужна

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 час назад, AlexDW сказал:

плюс первые версии VQMOD для 2х некорректно работали и приводили к конфликтам с OCMOD

 

@AlexDW и последние версии тоже в определенных условиях (часто разгребаю его баги).
Так что ни о какой стабильности работы с vqmod под opencart 2.x нету

vQmod в opencart 2.x нарушение стандартов программирования
Если "вы" заметили что модуль под opencart 2.x работает через vQmod - можете смело отправлять его в мусорку.
Если модуль платный - требовать от его автора, переделать под стандарты opencart 2.x - ocmod (лексика практически одинаковая)

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
12 минут назад, markimax сказал:

vQmod в opencart 2.x нарушение стандартов программирования

А в 1.5 vQmod не нарушение стандартов? А OCMOD в двойке - не нарушение стандартов? Или как только Дэниэль решил, что проще интегрировать костыль, чем делать нормальную систему расширений, так костыль уже перестал быть костылём?

 

О каких стандартах вообще может идти речь, если модулям приходиться модифицировать код движка?

 

vQmod в двойке, конечно же лишний на 100%, но упоминать в контексте модификаторов (любых) "стандарты программирования" - смешно. Стандарты программирования - это middleware, которые позволяют делать что угодно не подменяя оригинальный код и не конфликтуя между собой.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
13 минут назад, Dotrox сказал:

А в 1.5 vQmod не нарушение стандартов? А OCMOD в двойке - не нарушение стандартов? Или как только Дэниэль решил, что проще интегрировать костыль, чем делать нормальную систему расширений, так костыль уже перестал быть костылём?

 

О каких стандартах вообще может идти речь, если модулям приходиться модифицировать код движка?

 

vQmod в двойке, конечно же лишний на 100%, но упоминать в контексте модификаторов (любых) "стандарты программирования" - смешно. Стандарты программирования - это middleware, которые позволяют делать что угодно не подменяя оригинальный код и не конфликтуя между собой.

Давайте только без демагогии

В 1.5.x - vQmod - не стандарт (это НЕ РОДНОЕ архитектурное решение) (и в 2.x тем более)

В 2.x - ocmod это СТАНДАРТ - так как это РОДНОЕ архитектурное решение


А парсинг и разбор регулярками в шаблонизаторах - это "нормальное" "стандартное" программирование !?
Ну про это молчат все почему то. Так что давайте не разводить демагогию.
Мы не о тех стандартах сейчас говорим
В модификациях в принципе нет ничего страшного, если это РОДНОЕ архитектурное решение (ака стандарт opencart).
Я тоже может считаю что ocmod - это "костыльно". Но извините это уже стандарт opencart. И будьте добры придерживаться его FW, стандартов и не ставить костыли которые мешают его работе (vqmod)
 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
23 минуты назад, markimax сказал:

А парсинг и разбор регулярками в шаблонизаторах - это "нормальное" "стандартное" программирование !?

Я в принципе считаю в php шаблонизаторы лишними в большинстве случаев.

 

24 минуты назад, markimax сказал:

ака стандарт opencart

Так и называйте это стандартом ОпенКарт, а не стандартом программирования.

В WP, например, до сих пор стандартом являются глобальные переменные, но это же не делает их "стандартом программирования" (хотя в до-ООП эпоху это таки де-факто было стандартом).

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
14 минут назад, Dotrox сказал:

Я в принципе считаю в php шаблонизаторы лишними в большинстве случаев.

 

Так и называйте это стандартом ОпенКарт, а не стандартом программирования.

В WP, например, до сих пор стандартом являются глобальные переменные, но это же не делает их "стандартом программирования" (хотя в до-ООП эпоху это таки де-факто было стандартом).

А чем собственно модификации кода являют вам собой не "стандарт программирования" (ниже я объясню почему в кавычках) ?
Обычное архитектурное решение расширения функционала. Вот и все. Точное такое же как шаблонизаторы.
А вот глобальные переменные - это уже не безопасно. Вот поэтому так часто ломают WP :)
Но! Они часть языка php.  Может это не есть "хорошо" но это не нарушает стандартов php программирования :ugeek: :-D
Это родное архитектурное решение WP - т.е. стандарт WP

Нету как такового стандарта программирования (PSR- это стандарт кодирования вообще и уж очень общий) :ugeek:
Есть стандарты FW, CMS и т.п. их архитектуры
Если какой то сторонний обьект МЕШАЕТ (как vqmod в opencart 2) работе родной архитектуры или делает систему не стабильной  - то это костыль и не стандарт

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.